## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaFileWriter

### DatabaseSchema::ezcDbSchemaFileWriter

### Interface ezcDbSchemaFileWriter

This class provides the interface for file schema writers

Source for this file: /DatabaseSchema/src/interfaces/file_writer.php

    ezcDbSchemaWriter
       |
       --ezcDbSchemaFileWriter

Version: | //autogen//

### Method Summary

public void | `saveToFile( $file , $schema )` Saves the schema definition in $schema to the file $file.

### Inherited Methods

From ezcDbSchemaWriter
public int | `ezcDbSchemaWriter::getWriterType()` Returns what type of schema writer this class implements.

### Methods

#### saveToFile

void saveToFile( string $file , ezcDbSchema $schema )

Saves the schema definition in $schema to the file $file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |
`$schema` | ezcDbSchema |

Documentation generated by phpDocumentor 1.4.3